Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Enum GroupToTypeMapSource

    java.lang.Object
      java.lang.Enum<GroupToTypeMapSource>
          umontreal.iro.lecuyer.contactcenters.msk.params.GroupToTypeMapSource

All Implemented Interfaces:
  Serializable, Comparable<GroupToTypeMapSource>

    public enum GroupToTypeMapSource

extends Enum<GroupToTypeMapSource>

Java class for GroupToTypeMapSource.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="GroupToTypeMapSource">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="incidenceMatrixGT"/>
         <enumeration value="ranksGT"/>
         <enumeration value="ranksGTAndRegions"/>
         <enumeration value="typeToGroupMap"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`INCIDENCE_MATRIX_GT` For each row
`RANKS_GT` For each agent group, a list of contact types sorted in increasing order of type identifier is first obtained by enumerating the types with finite ranks.
`RANKS_GT_AND_REGIONS` Similar to
`TYPE_TO_GROUP_MAP` For each agent group

Method Summary
`static GroupToTypeMapSource` | `fromValue(String v)`
`String` | `value()`
`static GroupToTypeMapSource` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GroupToTypeMapSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INCIDENCE_MATRIX_GT

    public static final GroupToTypeMapSource INCIDENCE_MATRIX_GT

  For each row

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">i</i>

  of the incidence matrix, this strategy creates a row in the group-to-type map with a column having a value

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">k</i>

  for each

       <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">true</tt>

  value at position

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">(i, k)</i>

  in the incidence matrix. This gives lists of contact types sorted in increasing order of type identifier.

### RANKS_GT

    public static final GroupToTypeMapSource RANKS_GT

  For each agent group, a list of contact types sorted in increasing order of type identifier is first obtained by enumerating the types with finite ranks. Each row of the resulting group-to-type map is then sorted in rank-increasing order. Contact types sharing the same rank are sorted in increasing order of type identifier.

### RANKS_GT_AND_REGIONS

    public static final GroupToTypeMapSource RANKS_GT_AND_REGIONS

  Similar to

       <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">ranksGT</tt>

  but also takes account of region identifiers associated with contact types and agent groups. A region identifier is set up by using a string property named

       <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">region</tt>

  and whose value corresponds to the identifier. Sorting gives precedence to local assignments, i.e., the list of contact types for each agent group

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">i</i>

  contains all contact types in the same region as

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">i</i>

  before any other type.

### TYPE_TO_GROUP_MAP

    public static final GroupToTypeMapSource TYPE_TO_GROUP_MAP

  For each agent group

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">i,</i>

  this method constructs a list containing all contact types referring to it in the type-to-group map, sorted in increasing order of type identifier.

Method Detail

### values

    public static GroupToTypeMapSource[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GroupToTypeMapSource c : GroupToTypeMapSource.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GroupToTypeMapSource valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static GroupToTypeMapSource fromValue(String v)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.